Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Policy_ForwardA.h File Reference

This graph shows which files directly or indirectly include this file:

## Functions
TAO_Export void | operator<<= (CORBA::Any &, CORBA::Policy_ptr)
TAO_Export void | operator<<= (CORBA::Any &, CORBA::Policy_ptr *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::Policy *&)
TAO_Export void | operator<<= (CORBA::Any &, const CORBA::PolicyList &)
TAO_Export void | operator<<= (CORBA::Any &, CORBA::PolicyList *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::PolicyList *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const CORBA::PolicyList *&)
TAO_Export void | operator<<= (CORBA::Any &, const CORBA::PolicyTypeSeq &)
TAO_Export void | operator<<= (CORBA::Any &, CORBA::PolicyTypeSeq *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::PolicyTypeSeq *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const CORBA::PolicyTypeSeq *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::SetOverrideType &)

## Function Documentation

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | CORBA::PolicyTypeSeq * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const CORBA::PolicyTypeSeq & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | CORBA::PolicyList * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const CORBA::PolicyList & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | CORBA::Policy_ptr * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | CORBA::Policy_ptr |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | CORBA::SetOverrideType & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const CORBA::PolicyTypeSeq *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | CORBA::PolicyTypeSeq *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const CORBA::PolicyList *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | CORBA::PolicyList *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | CORBA::Policy *& |
| ) |